package com.mycompany.app;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.util.ArrayList;
import java.util.List;

@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
public class Mano {
    private Float valor = 0f;
    private List<Carta> cartas = new ArrayList<>();

    public void setValores() {
        Boolean flag = false;
        if(cartas.size() == 0){
            setValor(0f);
        }
        else {
            Float valor = 0f;
            for (Carta carta : cartas) {
                if(carta.getValor() == 1){
                    flag = true;
                }
                if(flag && (carta.getValor()==11 || carta.getValor()==12 || carta.getValor()==13)){
                    valor = 21f;
                }
                else{
                    valor += carta.getValor();
                }
            }
            setValor(valor);
        }
    }

    public void mostrarCartas() {
        for (Carta carta : cartas) {
            System.out.println("Carta : " + carta.getNumero());
        }
    }
}
